LayOut C API

- Main Page
- Related Pages
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
Functions
autotextdefinitionlist.h File Reference
`#include <LayOutAPI/common.h>`
`#include <LayOutAPI/model/defs.h>`

Go to the source code of this file.

## Functions
LO_RESULT | LOAutoTextDefinitionListCreate (LOAutoTextDefinitionListRef *auto_text_list)
| Creates a new empty auto-text definition list object. More...
LO_RESULT | LOAutoTextDefinitionListRelease (LOAutoTextDefinitionListRef *auto_text_list)
| Releases an auto-text definition list object. *auto_text_list will be set to invalid by this function. More...
LO_RESULT | LOAutoTextDefinitionListGetNumberOfAutoTextDefinitions (LOAutoTextDefinitionListRef auto_text_list, size_t *num_auto_texts)
| Gets the number of auto-text definitions in this list. More...
LO_RESULT | LOAutoTextDefinitionListGetAutoTextDefinitionAtIndex (LOAutoTextDefinitionListRef auto_text_list, size_t index, LOAutoTextDefinitionRef *auto_text)
| Gets the auto-text definition at the specified index. More...

## Function Documentation

LO_RESULT LOAutoTextDefinitionListCreate | ( | LOAutoTextDefinitionListRef * | auto_text_list | ) |

Creates a new empty auto-text definition list object.

Since
  LayOut 2018, API 3.0

Parameters

  [out] | auto_text_list | An empty auto-text definition list object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_OUTPUT if auto_text_list is NULL
  - SU_ERROR_OVERWRITE_VALID if *auto_text_list already refers to a valid object

LO_RESULT LOAutoTextDefinitionListGetAutoTextDefinitionAtIndex | ( | LOAutoTextDefinitionListRef | auto_text_list,
|  | size_t | index,
|  | LOAutoTextDefinitionRef * | auto_text
| ) |  |

Gets the auto-text definition at the specified index.

Since
  LayOut 2018, API 3.0

Parameters

  [in] | auto_text_list | The auto-text definition list object.
  [in] | index | The index of the auto-text definition to get.
  [out] | auto_text | The auto-text definition object at index in the list.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if auto_text_list does not refer to a valid object
  - SU_ERROR_OUT_OF_RANGE if index is out of range for this list
  - SU_ERROR_NULL_POINTER_OUTPUT if auto_text is NULL
  - SU_ERROR_OVERWRITE_VALID if *auto_text already refers to a valid object

LO_RESULT LOAutoTextDefinitionListGetNumberOfAutoTextDefinitions | ( | LOAutoTextDefinitionListRef | auto_text_list,
|  | size_t * | num_auto_texts
| ) |  |

Gets the number of auto-text definitions in this list.

Since
  LayOut 2018, API 3.0

Parameters

  [in] | auto_text_list | The auto-text definition list object.
  [out] | num_auto_texts | The number of auto-text definition objects in the list.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_INVALID_INPUT if auto_text_list does not refer to a valid object
  - SU_ERROR_NULL_POINTER_OUTPUT if num_auto_texts is NULL

LO_RESULT LOAutoTextDefinitionListRelease | ( | LOAutoTextDefinitionListRef * | auto_text_list | ) |

Releases an auto-text definition list object. *auto_text_list will be set to invalid by this function.

Since
  LayOut 2018, API 3.0

Parameters

  [in] | auto_text_list | The auto-text definition list object.

Returns
  - SU_ERROR_NONE on success
  - SU_ERROR_NULL_POINTER_INPUT if auto_text_list does not refer to a valid object
  - SU_ERROR_INVALID_INPUT if *auto_text_list does not refer to a valid object